问题??!!!

newly 2002-07-21 08:15:42
最新版本php,刚刚装好,就发现这些提示,什么原因?
Constant endpoint already defined in
Notice: Use of undefined constant
...全文
66 5 打赏 收藏 举报
写回复
5 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
newly 2002-07-31
不能说
  • 打赏
  • 举报
回复
LeeMaRS 2002-07-31
你执行什么程序提示这个.
  • 打赏
  • 举报
回复
newly 2002-07-31
win2000 server
  • 打赏
  • 举报
回复
newly 2002-07-31
win2000 server
  • 打赏
  • 举报
回复
_Shakespeare 2002-07-23
在什么操作系统下安装的?
php4.2.2主要是对php4.2.1的安全性做了一些改进。
错误提示说使用了没有定义的常量,另外加上你的第一行错误提示可能是定义不合法。
PHP中预先定义好的常量:
__FILE__
当前正在处理的脚本文件名。如果使用在一个被包含的文件中,那么它的值就是这个被包含的文件,而不是包含它的文件名。
__LINE__
正在处理的文件的当前行数。
PHP_VERSION
表示PHP处理器的当前版本,如:'3.0.8-dev'。
PHP_OS
PHP处理器所在的操作系统名字,如:'Linux'。
TRUE
真值
FALSE
假值
可以用DEFINE函数定义更多的常量。

如,定义常量:

<?php
define("CONSTANT", "Hello world.");
echo CONSTANT; // outputs "Hello world."
?>


你没有说清楚是系统的问题,还是你写了程序以后的问题,如果是没有写程序,一装好就出现这个问题,可能是php4.2.2本身的问题,它的一些常量定义的有错误。如果是你写的程序,可能是你写的有问题,你没有写出defined in哪个文件,所以不好判断
浅妄薄见,望与斟酌


  • 打赏
  • 举报
回复
发帖
基础编程

2.1w+

社区成员

从PHP安装配置,PHP入门,PHP基础到PHP应用
社区管理员
  • 基础编程社区
加入社区
帖子事件
创建了帖子
2002-07-21 08:15
社区公告
暂无公告